// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AktionType,
    RegelungsvorhabenTypType,
    RolleLokalType,
    UserEntityResponseDTO,
    VorhabenStatusType,
} from './';

/**
 * @export
 * @interface RegelungsvorhabenBundestagTableDTO
 */
export interface RegelungsvorhabenBundestagTableDTO {
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    abkuerzung?: string;
    /**
     * @type {Array<AktionType>}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    aktionen: Array<AktionType>;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    allowedToArchive?: boolean;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    allowedToModify: boolean;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    archiviertAm?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    id: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    kurzbezeichnung?: string;
    /**
     * @type {RolleLokalType}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    rolleTyp: RolleLokalType;
    /**
     * @type {VorhabenStatusType}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    status: VorhabenStatusType;
    /**
     * ID der federführenden Abteilung
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    technischeFfAbteilung?: string;
    /**
     * ID des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    technischesFfReferat?: string;
    /**
     * ID des koordinierenden Federführers
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    technischesFfRessort?: string;
    /**
     * @type {RegelungsvorhabenTypType}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    vorhabenart?: RegelungsvorhabenTypType;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    drucksachenId?: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    zuleitungVon: UserEntityResponseDTO;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    zuleitungAm: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    dblnr?: string;
    /**
     * Bezeichnung des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenBundestagTableDTO
     */
    technischesFfReferatBezeichnung?: string;
}


